<script>
import { IMAGE_VIDEO_SHARED_STYLES } from "./constants";
export default {
  props: {
    src: String,
  },
  constants: {
    IMAGE_VIDEO_SHARED_STYLES,
  },
};
</script>
<template>
  <a :href="src" target="blank"
    ><img
      loading="lazy"
      :src="src"
      :class="$options.constants.IMAGE_VIDEO_SHARED_STYLES"
  /></a>
</template>
